CC=@CXX@
CFLAGS=@CFLAGS@
LFLAGS=@LIBS@
ALL_C_FILES=adp.cpp adp_common.cpp adp_compile.cpp adp_execute.cpp adp_execute_factory.cpp adp_expression.cpp adp_mm.cpp adp_unify.cpp mt19937ar.cpp
INSTALL=@INSTALL@
exec_prefix=@prefix@
bindir=${exec_prefix}/bin

TARGETS=adp

all:$(TARGETS)

adp:$(ALL_C_FILES) *.h
	$(CC) -o adp $(CFLAGS) $(LFLAGS) $(ALL_C_FILES)


install:
	$(INSTALL) -m 755 adp $(bindir)

clean:
	\rm $(ALL_C_FILES:.c.o)
	\rm $(TARGETS)
